﻿using System.Numerics;

namespace Nerfed.Runtime.Components
{
    public struct LocalTransform
    {
        public Vector3 position;
        public Quaternion rotation;
        public Vector3 scale;

        public LocalTransform(Vector3 position, Quaternion rotation, Vector3 scale)
        {
            this.position = position;
            this.rotation = rotation;
            this.scale = scale;
        }

        public static readonly LocalTransform Identity = new(Vector3.Zero, Quaternion.Identity, Vector3.One);
    }
}